Security Enhanced Linux Reference Policy

# Layer: services

## Module: prelude

Tunables Interfaces

### Description:

Prelude hybrid intrusion detection system.

### Tunables:

allow_httpd_prewikka_script_anon_write

##### Default value

false

##### Description

Determine whether the script domain can modify public files used for public file transfer services. Directories/Files must be labeled public_content_rw_t.

Return

### Interfaces:

prelude_admin( domain , role )

##### Summary

All of the rules required to administrate an prelude environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

prelude_domtrans( domain )

##### Summary

Execute a domain transition to run prelude.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

prelude_domtrans_audisp( domain )

##### Summary

Execute a domain transition to run prelude audisp.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

prelude_manage_spool( domain )

##### Summary

Create, read, write, and delete prelude manager spool files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

prelude_read_spool( domain )

##### Summary

Read prelude spool files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

prelude_signal_audisp( domain )

##### Summary

Send generic signals to prelude audisp.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return